This is the mail archive of the glibc-cvs@sourceware.org mailing list for the glibc project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

GNU C Library master sources branch, master, updated. glibc-2.10-200-g01b597d


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  01b597da400ef799a43f61fa31d305eb9db81670 (commit)
      from  f1adf1f490b33a61eccad1682fbd9b1b66d404bd (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://sources.redhat.com/git/gitweb.cgi?p=glibc.git;a=commitdiff;h=01b597da400ef799a43f61fa31d305eb9db81670

commit 01b597da400ef799a43f61fa31d305eb9db81670
Author: Ulrich Drepper <drepper@redhat.com>
Date:   Thu Jul 23 17:15:56 2009 -0700

    Check for .cfi_{personality,lsda} on x86-64.
    
    We need this support in NPTL now to avoid the hand-coded tables.

diff --git a/nptl/ChangeLog b/nptl/ChangeLog
index 68fe377..cb9ec53 100644
--- a/nptl/ChangeLog
+++ b/nptl/ChangeLog
@@ -1,5 +1,7 @@
 2009-07-23  Ulrich Drepper  <drepper@redhat.com>
 
+	* sysdeps/x86_64/configure.in: New file.
+
 	* sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S: Fix error
 	path when not using absolute timeout futex.
 
diff --git a/nptl/sysdeps/x86_64/configure b/nptl/sysdeps/x86_64/configure
new file mode 100644
index 0000000..b959168
--- /dev/null
+++ b/nptl/sysdeps/x86_64/configure
@@ -0,0 +1,36 @@
+# This file is generated from configure.in by Autoconf.  DO NOT EDIT!
+ # Local configure fragment for sysdeps/i386.
+
+{ echo "$as_me:$LINENO: checking for .cfi_personality and .cfi_lsda pseudo-ops" >&5
+echo $ECHO_N "checking for .cfi_personality and .cfi_lsda pseudo-ops... $ECHO_C" >&6; }
+if test "${libc_cv_asm_cfi_personality+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+    cat > conftest.s <<EOF
+${libc_cv_dot_text}
+foo:
+	.cfi_startproc
+	.cfi_personality 0, foo
+	.cfi_lsda 0, foo
+	.cfi_endproc
+EOF
+  if { ac_try='${CC-cc} $ASFLAGS -c conftest.s 1>&5'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+    libc_cv_asm_cfi_personality=yes
+  else
+    libc_cv_asm_cfi_personality=no
+  fi
+  rm -f conftest*
+
+fi
+{ echo "$as_me:$LINENO: result: $libc_cv_asm_cfi_personality" >&5
+echo "${ECHO_T}$libc_cv_asm_cfi_personality" >&6; }
+if test x"$libc_cv_asm_cfi_personality" != xyes; then
+  { { echo "$as_me:$LINENO: error: assembler too old, .cfi_personality support missing" >&5
+echo "$as_me: error: assembler too old, .cfi_personality support missing" >&2;}
+   { (exit 1); exit 1; }; }
+fi
diff --git a/nptl/sysdeps/x86_64/configure.in b/nptl/sysdeps/x86_64/configure.in
new file mode 100644
index 0000000..0ba0cc3
--- /dev/null
+++ b/nptl/sysdeps/x86_64/configure.in
@@ -0,0 +1,23 @@
+GLIBC_PROVIDES dnl See aclocal.m4 in the top level source directory.
+# Local configure fragment for sysdeps/i386.
+
+AC_CACHE_CHECK([for .cfi_personality and .cfi_lsda pseudo-ops],
+	       libc_cv_asm_cfi_personality, [dnl
+  cat > conftest.s <<EOF
+${libc_cv_dot_text}
+foo:
+	.cfi_startproc
+	.cfi_personality 0, foo
+	.cfi_lsda 0, foo
+	.cfi_endproc
+EOF
+  if AC_TRY_COMMAND(${CC-cc} $ASFLAGS -c conftest.s 1>&AS_MESSAGE_LOG_FD); then
+    libc_cv_asm_cfi_personality=yes
+  else
+    libc_cv_asm_cfi_personality=no
+  fi
+  rm -f conftest*
+])
+if test x"$libc_cv_asm_cfi_personality" != xyes; then
+  AC_MSG_ERROR([assembler too old, .cfi_personality support missing])
+fi

-----------------------------------------------------------------------

Summary of changes:
 nptl/ChangeLog                   |    2 ++
 nptl/sysdeps/x86_64/configure    |   36 ++++++++++++++++++++++++++++++++++++
 nptl/sysdeps/x86_64/configure.in |   23 +++++++++++++++++++++++
 3 files changed, 61 insertions(+), 0 deletions(-)
 create mode 100644 nptl/sysdeps/x86_64/configure
 create mode 100644 nptl/sysdeps/x86_64/configure.in


hooks/post-receive
-- 
GNU C Library master sources


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]